
/**
***  Fichero:      CATFUN.H
***  Descripcion:  declaraciones de varias funciones de parametrizacion
***                (necesita poner antes sbspline.h)
**/

#ifndef _CATFUN_H_
#define _CATFUN_H_

#include "utils.h"
#include "sbspline.h"

typedef void (*fpar)( punto *, real, real ) ;

void plano_xz        ( punto *p, real u, real v ) ;
void esfera_picos    ( punto *p, real u, real v ) ;
void esfera          ( punto *p, real u, real v ) ;
void caracola        ( punto *p, real u, real v ) ;
void caracola_simple ( punto *p, real u, real v ) ;
void bspline         ( punto *p, real u, real v ) ;
void ondas           ( punto *p, real u, real v ) ;
void cilindro        ( punto *p, real u, real v ) ;

void parametros_bspline ( sup_bspline *sbs ) ;

#endif
